package main

import (
	"database/sql"
	"fmt"
	"log"
	"net"
	"os"

	_ "xg_driver/xugu"
)

func main() {
	// ctx := context.Background()
	// conn := xugu.NewConnector("127.0.0.1:5138")
	// conn.Connect(ctx)
	db, err := sql.Open("xugusql", "IP=10.28.20.101;DB=SYSTEM;User=SYSDBA;PWD=SYSDBA;Port=5190;AUTO_COMMIT=on;CHAR_SET=UTF8")
	_, err = db.Exec("create table go_test(c1 int, c2 varchar);")
	if err != nil {
		log.Fatal(err)
	}
	db.Close()
}

func testSend() {
	db, err := sql.Open("mysql", "root:1234567@tcp(127.0.0.1:3306)/hello")
	if err != nil {
		log.Fatal(err)
	}
	defer db.Close()

	conn, err := net.Dial("tcp", "10.28.20.101:5190")
	if err != nil {
		fmt.Println("Error connecting:", err)
		os.Exit(1)
	}
	defer conn.Close()

	// 发送消息到服务器
	message := "login   database = 'SYSTEM' user = 'SYSDBA'  password = 'SYSDBA' version='201' "
	_, err = conn.Write([]byte(message))
	if err != nil {
		fmt.Println("Error writing to server:", err)
		return
	}

	fmt.Println("Message sent:", message)

	// 接收服务器的返回消息
	buffer := make([]byte, 1024)
	n, err := conn.Read(buffer)
	if err != nil {
		fmt.Println("Error reading from server:", err)
		return
	}
	fmt.Println("Message from server:", string(buffer[:n]))
}
